Skip to content
Last updated

Delete a Carrier Connection

You can programmatically delete any carrier you have connected to your ShipStation API account using the DELETE method with the /v1/connections/carriers/ endpoint.

You may want to do this if you no longer use the services of the connected carrier account, or if you wish to use the same account but with a different carrier_id. For the latter case, you would delete the carrier from your account and then reconnect it.

Requirements

  • The unique carrier_id of the connected carrier you wish to delete.
  • The carrier_name property for that carrier.

You can list carriers to find both the carrier_id and carrier_name properties needed. The carrier_id is especially important if you have multiple accounts for the same carrier.

IMPORTANT:

Before Deleting a Carrier

  • If your carrier requires manifesting, you must manifest open shipments for that carrier before deleting the connection from your ShipStation API account.
  • If you reconnect a deleted carrier account, the new connection will have a new carrier_id.

Sample Request & Response

DELETE /v1/connections/carriers/:carrier_name/:carrier_id

DELETE /v1/connections/carriers/ups/se-123456 HTTP/1.1
Host: api.shipengine.com
API-Key: __YOUR_API_KEY_HERE__

When a carrier has been successfully disconnected, you will receive a HTTP 204, No Content status.